Author: jghoman
Date: Mon Oct 31 03:48:20 2011
New Revision: 1195322

URL: http://svn.apache.org/viewvc?rev=1195322&view=rev
Log:
GIRAPH-50. Require Maven 3 in order to work with munging plugin.

Modified:
    incubator/giraph/trunk/CHANGELOG
    incubator/giraph/trunk/README
    incubator/giraph/trunk/pom.xml
    incubator/giraph/trunk/src/site/xdoc/index.xml

Modified: incubator/giraph/trunk/CHANGELOG
URL: 
http://svn.apache.org/viewvc/incubator/giraph/trunk/CHANGELOG?rev=1195322&r1=1195321&r2=1195322&view=diff
==============================================================================
--- incubator/giraph/trunk/CHANGELOG (original)
+++ incubator/giraph/trunk/CHANGELOG Mon Oct 31 03:48:20 2011
@@ -2,6 +2,9 @@ Giraph Change Log
 
 Release 0.70.0 - unreleased
 
+  GIRAPH-50. Require Maven 3 in order to work with munging plugin.
+  (jghoman)
+  
   GIRAPH-67. Provide AdjacencyList InputFormat for Ids of Strings and
   double values. (jghoman)
 

Modified: incubator/giraph/trunk/README
URL: 
http://svn.apache.org/viewvc/incubator/giraph/trunk/README?rev=1195322&r1=1195321&r2=1195322&view=diff
==============================================================================
--- incubator/giraph/trunk/README (original)
+++ incubator/giraph/trunk/README Mon Oct 31 03:48:20 2011
@@ -56,7 +56,9 @@ Building and testing:
 
 You will need the following:
 - Java 1.6
-- Maven 2 or higher
+- Maven 3 or higher. Giraph uses the munge plugin 
(http://sonatype.github.com/munge-maven-plugin/),
+  which requires Maven 3, to support multiple versions of Hadoop. Also, the
+  web site plugin requires Maven 3.
 
 Use the maven commands with secure Hadoop to:
 - compile (i.e mvn compile)

Modified: incubator/giraph/trunk/pom.xml
URL: 
http://svn.apache.org/viewvc/incubator/giraph/trunk/pom.xml?rev=1195322&r1=1195321&r2=1195322&view=diff
==============================================================================
--- incubator/giraph/trunk/pom.xml (original)
+++ incubator/giraph/trunk/pom.xml Mon Oct 31 03:48:20 2011
@@ -165,6 +165,26 @@ under the License.
     <plugins>
       <plugin>
         <groupId>org.apache.maven.plugins</groupId>
+        <artifactId>maven-enforcer-plugin</artifactId>
+        <version>1.0.1</version>
+        <executions>
+          <execution>
+            <id>enforce-maven</id>
+            <goals>
+              <goal>enforce</goal>
+            </goals>
+            <configuration>
+              <rules>
+                <requireMavenVersion>
+                  <version>3.0.0</version>
+                </requireMavenVersion>
+              </rules>
+            </configuration>
+          </execution>
+        </executions>
+      </plugin>
+      <plugin>
+        <groupId>org.apache.maven.plugins</groupId>
         <artifactId>maven-assembly-plugin</artifactId>
         <version>2.2</version>
         <configuration>

Modified: incubator/giraph/trunk/src/site/xdoc/index.xml
URL: 
http://svn.apache.org/viewvc/incubator/giraph/trunk/src/site/xdoc/index.xml?rev=1195322&r1=1195321&r2=1195322&view=diff
==============================================================================
--- incubator/giraph/trunk/src/site/xdoc/index.xml (original)
+++ incubator/giraph/trunk/src/site/xdoc/index.xml Mon Oct 31 03:48:20 2011
@@ -58,7 +58,7 @@ under the License.
                <p>You will need the following:
                <ul>
                <li>Java 1.6</li>
-               <li>Maven 2 or higher</li>
+               <li>Maven 3 or higher. Giraph uses the <a 
href="http://sonatype.github.com/munge-maven-plugin/";>munge plugin</a>, which 
requires Maven 3, to support multiple versions of Hadoop. Also, the web site 
plugin requires Maven 3.</li>
        </ul>
 
                Use the maven commands with secure Hadoop to:


Reply via email to